Bug 108426 - ntp drift file has incorrect path
ntp drift file has incorrect path
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-29 07:59 EST by Gavrie Philipson
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-06 09:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavrie Philipson 2003-10-29 07:59:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031015
Firebird/0.7

Description of problem:
The dhcpcd daemon writes an NTP configuration file when the DHCP server returns
the NTP information. One of the parameters in this file is the ntp driftfile.
However, the Red Hat patches to the NTP daemon (ntp-4.1.1-1.i386.rpm) change the
path of this file from the default /etc/ntp.drift to /etc/ntp/drift. This change
has been made only in the ntp sources, not in the dhcpcd sources.

The change that should be made:
in the file client.c, line 890:
Change the string "driftfile /etc/ntp.drift\n" to:
"driftfile /etc/ntp/drift\n"



Version-Release number of selected component (if applicable):
dhcpcd-1.3.22pl1-7.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Set up a network interface to use DHCP.
2. Start the network interface.
3. Check /etc/ntp.conf, and see that it says "driftfile /etc/ntp.drift" instead
of "driftfile /etc/ntp/drift".
    

Additional info:
Comment 1 Daniel Walsh 2003-11-06 09:59:17 EST
Fixed in 3.0pl2-6.16 in Rawhide.

Dan
Comment 2 John Flanagan 2004-12-21 14:42:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.